package com.bytedance.android.live.core.performance;

import X.AnonymousClass0CB;
import X.AnonymousClass0CN;
import X.C09630aP;
import X.C10810cJ;
import android.os.Handler;
import com.bytedance.covode.number.Covode;

public abstract class BaseSampler<T> implements Runnable, Runnable {
    public static final String LIZJ = BaseSampler.class.getClass().getSimpleName();
    public Handler LIZ;
    public C10810cJ LIZIZ;

    @AnonymousClass0CN(LIZ = AnonymousClass0CB.ON_CREATE)
    public void onCreate() {
    }

    @AnonymousClass0CN(LIZ = AnonymousClass0CB.ON_PAUSE)
    public void onPause() {
    }

    @AnonymousClass0CN(LIZ = AnonymousClass0CB.ON_RESUME)
    public void onResume() {
    }

    @AnonymousClass0CN(LIZ = AnonymousClass0CB.ON_START)
    public void onStart() {
    }

    @AnonymousClass0CN(LIZ = AnonymousClass0CB.ON_STOP)
    public void onStop() {
    }

    static {
        Covode.recordClassIndex(5632);
    }

    @AnonymousClass0CN(LIZ = AnonymousClass0CB.ON_DESTROY)
    public void onDestroy() {
        C09630aP.LIZ(3, LIZJ, "onDestroy");
        Handler handler = this.LIZ;
        if (handler != null) {
            handler.removeCallbacks(this);
            this.LIZ = null;
        }
        if (this.LIZIZ != null) {
            this.LIZIZ = null;
        }
    }
}
